/*
* Copyright 2020 Kumori systems S.L.
*
* Licensed under the EUPL, Version 1.2 or – as soon they
* will be approved by the European Commission - subsequent
* versions of the EUPL (the "Licence");
* You may not use this work except in compliance with the
* Licence.
* You may obtain a copy of the Licence at:
*
* https://joinup.ec.europa.eu/software/page/eupl
*
* Unless required by applicable law or agreed to in
* writing, software distributed under the Licence is
* distributed on an "AS IS" basis,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
* express or implied.
* See the Licence for the specific language governing
* permissions and limitations under the Licence.
 */
// Code generated by lister-gen. DO NOT EDIT.

package v1beta2

// AWSClusterListerExpansion allows custom methods to be added to
// AWSClusterLister.
type AWSClusterListerExpansion interface{}

// AWSClusterNamespaceListerExpansion allows custom methods to be added to
// AWSClusterNamespaceLister.
type AWSClusterNamespaceListerExpansion interface{}

// AWSClusterControllerIdentityListerExpansion allows custom methods to be added to
// AWSClusterControllerIdentityLister.
type AWSClusterControllerIdentityListerExpansion interface{}

// AWSClusterControllerIdentityNamespaceListerExpansion allows custom methods to be added to
// AWSClusterControllerIdentityNamespaceLister.
type AWSClusterControllerIdentityNamespaceListerExpansion interface{}

// AWSClusterRoleIdentityListerExpansion allows custom methods to be added to
// AWSClusterRoleIdentityLister.
type AWSClusterRoleIdentityListerExpansion interface{}

// AWSClusterRoleIdentityNamespaceListerExpansion allows custom methods to be added to
// AWSClusterRoleIdentityNamespaceLister.
type AWSClusterRoleIdentityNamespaceListerExpansion interface{}

// AWSClusterStaticIdentityListerExpansion allows custom methods to be added to
// AWSClusterStaticIdentityLister.
type AWSClusterStaticIdentityListerExpansion interface{}

// AWSClusterTemplateListerExpansion allows custom methods to be added to
// AWSClusterTemplateLister.
type AWSClusterTemplateListerExpansion interface{}

// AWSClusterTemplateNamespaceListerExpansion allows custom methods to be added to
// AWSClusterTemplateNamespaceLister.
type AWSClusterTemplateNamespaceListerExpansion interface{}

// AWSMachineListerExpansion allows custom methods to be added to
// AWSMachineLister.
type AWSMachineListerExpansion interface{}

// AWSMachineNamespaceListerExpansion allows custom methods to be added to
// AWSMachineNamespaceLister.
type AWSMachineNamespaceListerExpansion interface{}

// AWSMachineTemplateListerExpansion allows custom methods to be added to
// AWSMachineTemplateLister.
type AWSMachineTemplateListerExpansion interface{}

// AWSMachineTemplateNamespaceListerExpansion allows custom methods to be added to
// AWSMachineTemplateNamespaceLister.
type AWSMachineTemplateNamespaceListerExpansion interface{}

// AWSManagedClusterListerExpansion allows custom methods to be added to
// AWSManagedClusterLister.
type AWSManagedClusterListerExpansion interface{}

// AWSManagedClusterNamespaceListerExpansion allows custom methods to be added to
// AWSManagedClusterNamespaceLister.
type AWSManagedClusterNamespaceListerExpansion interface{}
